Execute tone-detection evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/execute/tone-detection \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"text": "The capital of France is Paris."
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/execute/tone-detection"
payload = { "input": { "text": "The capital of France is Paris." } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {text: 'The capital of France is Paris.'}})
};
fetch('https://api.traceloop.com/v2/evaluators/execute/tone-detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"score": 0.95,
"tone": "neutral"
}{
"error": "error message"
}{
"error": "error message"
}Quality & Correctness
Execute tone-detection evaluator
Detect the tone of the text
Request Body:
input.text(string, required): The text to detect the tone of
POST
/
v2
/
evaluators
/
execute
/
tone-detection
Execute tone-detection evaluator
Was this page helpful?
⌘I

